function [ all, c, ax, vx ] = GFCC(vzorky, vzorkovacia_frek)

vzorky = filter([1 -0.97], 1, vzorky);

vykon_spektrum = powspec_GFCC(vzorky, vzorkovacia_frek);

filt_vzorky = audspec_GFCC(vykon_spektrum, vzorkovacia_frek);
nbands = size(filt_vzorky,1);

LOG = log (filt_vzorky);

c = dct(LOG);
c(14:nbands, :) = [];
for i = 1 : 13
           c(i, : ) = c(i, : ) - mean(c(i, : ));
end

c=c';

nf=size(c,1);
nc=13;

  vf=(4:-1:-4)/60;
  af=(1:-1:-1)/2;
  ww=ones(5,1);
  cx=[c(ww,:); c; c(nf*ww,:)];
  vx=reshape(filter(vf,1,cx(:)),nf+10,nc);
  vx(1:8,:)=[];
  ax=reshape(filter(af,1,vx(:)),nf+2,nc);
  ax(1:2,:)=[];
  vx([1 nf+2],:)=[];  
  all=[c vx ax];
  
  c=c';
  ax=ax';
  vx=vx';
  all=all';
